%global momorel 1
%global ofxver 0.9.1
%global qtver 4.5.2
%global kdever 4.3.2
%global kdelibsrel 1m
%global kdesdkrel 1m

Summary: A personal finances manager for KDE
Name: skrooge
Version: 0.5.4
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://extragear.kde.org/apps/skrooge/
Group: Applications/Productivity
Source0: http://websvn.kde.org/*checkout*/tags/%{name}/%{version}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: qt-sqlite
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdesdk-devel >= %{kdever}-%{kdesdkrel}
# we need kdesdk for /usr/bin/extractrc
BuildPreReq: kdesdk >= %{kdever}-%{kdesdkrel}
BuildPreReq: cmake
BuildPreReq: libofx-devel >= %{ofxver}
BuildPreReq: qca2-devel
BuildPreReq: sqlite-devel

%description
Skrooge is a personal finances manager for KDE4, aiming at being simple
and intuitive. It still lacks a few features, but should be more or less
ready for wide testing...

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/oxygen/48x48/apps/skrooge.png %{buildroot}%{_datadir}/pixmaps/skrooge.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS CHANGELOG COPYING README TODO
%{_kde4_bindir}/skrooge
%{_kde4_libdir}/kde4/plugins/designer/libskgbankgui.so*
%{_kde4_libdir}/kde4/plugins/designer/libskgbasegui.so*
%{_kde4_libdir}/kde4/skrooge_*.so
%{_kde4_libdir}/libskgbank*.so*
%{_kde4_libdir}/libskgbase*.so*
%{_kde4_datadir}/applications/kde4/skrooge.desktop
%{_kde4_appsdir}/skrooge*
%{_kde4_datadir}/config.kcfg/skg*.kcfg
%{_kde4_docdir}/HTML/*/skrooge
%{_kde4_iconsdir}/oxygen/*/*/application-x-skg*.png
%{_kde4_iconsdir}/oxygen/*/*/skg*
%{_kde4_iconsdir}/oxygen/*/*/skrooge*.png
%{_kde4_iconsdir}/oxygen/*/*/application-x-skg*.svgz
%{_kde4_iconsdir}/oxygen/*/*/skrooge*.svgz
%{_kde4_datadir}/kde4/services/skrooge-plugin-*.desktop
%{_kde4_datadir}/kde4/servicetypes/skrooge-plugin.desktop
%{_datadir}/locale/*/LC_MESSAGES/skrooge.mo
%{_kde4_datadir}/mime/packages/x-skg.xml
%{_datadir}/pixmaps/skrooge.png

%changelog
* Tue Nov 24 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4-1m)
- version 0.5.4

- * Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- - (0.5.3-2m)
- - rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 20 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-1m)
- version 0.5.3
- update desktop.patch
- remove merged docdir.patch

* Thu Oct  8 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2-1m)
- version 0.5.2
- set NoSource: 0 again

* Wed Sep 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.1-2m)
- unset NoSource: 0 for the moment

* Mon Sep 21 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.1-1m)
- version 0.5.1
- update desktop.patch

* Sat Aug 29 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-1m)
- version 0.5.0
- update URL
- update desktop.patch
- remove fix-build.patch
- add fix-docdir.patch

* Sun Jun  7 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.9-2m)
- rebuild against libofx-0.9.1

* Thu Jun  4 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.9-1m)
- version 0.2.9
- update desktop.patch

* Tue May  5 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.8-1m)
- version 0.2.8
- remove automoc-lib64.patch

* Sat May  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.7-2m)
- fix build on x86_64

* Fri May  1 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.7-1m)
- version 0.2.7

* Thu Apr  9 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.6-2m)
- fix BPR

* Mon Mar 30 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.6-1m)
- version 0.2.6
- update desktop.patch

* Tue Mar 17 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.5-1m)
- version 0.2.5
- update desktop.patch

* Wed Mar  4 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.2.4-2m)
- add "BuildPreReq: kdesdk" for /usr/bin/extractrc

* Tue Mar  3 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.4-1m)
- initial package for Momonga Linux
